Bug 1657698 - RHGS Web Administration QSG - stop/restart httpd service to avoid Bug 1656806
Summary: RHGS Web Administration QSG - stop/restart httpd service to avoid Bug 1656806
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-RHGS_Web_Administration
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 2
Assignee: storage-doc
QA Contact: Daniel Horák
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-10 10:04 UTC by Daniel Horák
Modified: 2019-02-15 10:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-15 10:16:45 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Daniel Horák 2018-12-10 10:04:36 UTC
To avoid prospective occurrence of Bug 1656806, we need to do two small changes
in RHGS Web Administration Quick Start Guide:

* add note/point to 3.1. Prerequisites section[1] with content:
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  If httpd package is already installed on Web Administration server, please
  ensure that httpd service is stopped, before continuing with the installation
  process:
    # systemctl stop httpd
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* in chapter "4.2. Red Hat Gluster Storage Web Administration 3.4.x to
  3.4.y"[2] - last step in section "On Web Administration Server:" reorder the
  list of restarted services, so that command:
    # systemctl restart httpd
  will be on the first place. So it will looks like this:
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  # systemctl restart httpd
  # systemctl restart tendrl-node-agent
  # systemctl restart tendrl-monitoring-integration
  # systemctl restart tendrl-notifier
  # systemctl restart tendrl-api
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

[1] https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.4/html-single/quick_start_guide/#prerequisites
[2] https://access.redhat.com/documentation/en-us/red_hat_gluster_storage/3.4/html-single/quick_start_guide/#red_hat_gluster_storage_web_administration_3_4_x_to_3_4_y

Comment 2 Martin Bukatovic 2018-12-10 14:06:00 UTC
Nishanth, this BZ was created based on previous conversation on BZ 1656806. Please indicate in a comment here that you agree with the proposed change in the docs, targeted for bu2.

Comment 3 Nishanth Thomas 2018-12-10 14:22:49 UTC
Sounds Good to me

Comment 7 Daniel Horák 2018-12-12 09:20:42 UTC
Both changes described in the comment 0 are present on the proper places of Web Administration Quick Start Guide.

>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.